#a NAME

git-annex drop - remove content of files from repository

# SYNOPSIS

git annex drop `[path ...]`

# DESCRIPTION

Drops the content of annexed files from this repository, when
possible.

git-annex will refuse to drop content if it cannot verify it is
safe to do so. Usually this involves verifying that the content is stored
in some other repository.

Content that is required to be stored in the repository will not be dropped
even if enough copies exist elsewhere. See [[git-annex-required]](1).

With no parameters, tries to drop all annexed files in the current directory.
Paths of files or directories to drop can be specified.

# EXAMPLES

	# git annex drop *.jpeg
	drop photo1.jpg (checking origin...) ok
	drop photo2.jpg (unsafe)
	  Could only verify the existence of 0 out of 1 necessary copies

	  Rather than dropping this file, try using: git annex move

	  (Use --force to override this check, or adjust numcopies.)
	failed
	drop photo3.jpg (checking origin...) ok

# OPTIONS

* `--from=remote`

  Rather than dropping the content of files in the local repository,
  this option can specify a remote from which the files'
  contents should be removed.

* `--auto`

  Rather than trying to drop all specified files, drop only those that
  are not preferred content of the repository.
  See [[git-annex-preferred-content]](1)

* `--force`

  Use this option with care! It bypasses safety checks, and forces
  git-annex to delete the content of the specified files, even from
  the last repository that is storing their content. Data loss can
  result from using this option.

* `--all` `-A`

  Rather than specifying a filename or path to drop, this option can be
  used to drop all available versions of all files.

  This is the default behavior when running git-annex drop in a bare
  repository.

  Note that this bypasses checking the .gitattributes annex.numcopies
  setting and required content settings.

* `--branch=ref`

  Drop files in the specified branch or treeish.

  Note that this bypasses checking the .gitattributes annex.numcopies
  setting and required content settings.

* `--unused`

  Drop files found by last run of git-annex unused.

  Note that this bypasses checking the .gitattributes annex.numcopies
  setting and required content settings.

* `--key=keyname`

  Use this option to drop a specified key.

  Note that this bypasses checking the .gitattributes annex.numcopies
  setting and required content settings.

* file matching options

  The [[git-annex-matching-options]](1)
  can be used to specify files to drop.

* `--jobs=N` `-JN`

  Runs multiple drop jobs in parallel. This is particularly useful
  when git-annex has to contact remotes to check if it can drop files.
  For example: `-J4`  

  Setting this to "cpus" will run one job per CPU core.

* `--batch`

  Enables batch mode, in which lines containing names of files to drop
  are read from stdin.

  As each specified file is processed, the usual output is
  displayed. If a file's content is not present, or it does not
  match specified matching options, or it is not an annexed file,
  a blank line is output in response instead.

* `-z`

  Makes the `--batch` input be delimited by nulls instead of the usual
  newlines.

* `--json`

  Enable JSON output. This is intended to be parsed by programs that use
  git-annex. Each line of output is a JSON object.

* `--json-error-messages`

  Messages that would normally be output to standard error are included in
  the json instead.

* Also the [[git-annex-common-options]](1) can be used.

# SEE ALSO

[[git-annex]](1)

[[git-annex-get]](1)

[[git-annex-move]](1)

[[git-annex-copy]](1)

# AUTHOR

Joey Hess <id@joeyh.name>

Warning: Automatically converted into a man page by mdwn2man. Edit with care.
